package com.s3ai.controllers.cinemas;

import com.s3ai.entities.Cinema;
import com.s3ai.services.CinemaService;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.Arrays;
import java.util.List;
import java.util.Random;

public class CinemaFill extends HttpServlet {
    CinemaService cinemaService = CinemaService.getInstance();

    protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

    }

    protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        List<String> locations = Arrays.asList("Samara", "Izhevsk", "NeoTokyo", "Bangladesh", "Moscow", "Grozny");
        List<String> names = Arrays.asList("Nol", "Tcelkoviy", "Polushka", "Chekushka", "Osmushka", "Pudovichok", "Mediachok", "Silverchok", "Goldenchok", "Deviatichek", "Desatichek");
        System.out.println(locations);
        var writer = response.getWriter();
        writer.println("FILLED Instances:");
        var random = new Random();
        for (int i = 0; i < 300; i++) {
            var cinema = new Cinema();
            cinemaService.fillCinemaFields(cinema, names.get(random.nextInt(names.size())), locations.get(random.nextInt(locations.size())),  random.nextInt(300) + 50);
            cinemaService.saveCinema(cinema);
            writer.println(cinema);
        }
    }
}
